Subject: Re: Can't set mark in emacs
From: "Mike Robertson" <[email-masked]>
To: "Eric Hanchrow" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 13 Feb 2003 13:50:41 -0500

Eric,

Ok, I found the readme file for rxvt in the /usr/doc/cygwin directory.  It
had some good info!!

When using:

rxvt &

I found that there was a mess of characters at the top of the screen.  Also,
the first command I typed (emacs) wouldn't run.  After I typed it a second
time, emacs ran, but there was a problem with the Backspace key.  emacs said
that when I pressed Backspace it was getting C-d, which deletes forward
instead of backward.  Setting the mark worked though, so this was definitely
an improvement.  In the rxvt man page is gives information on a command line
switch (--backspacekey) which one can use to set the key code for the
Backspace key.  Unfortunately, the man page does not say how to specify
control characters (maybe the person in charge of the rxvt docs could take
note of this).  I tried \008 and BS.  Neither of these worked.  When I found
the README file, I realized that ^H was the proper way to specify the code.
Combining this with the recomended switches in the README file, I used:

rxvt -tn xterm --backspacekey ^H -e /usr/bin/bash --login -i &

So far, this works well.  No more character trash at each prompt; no
problems with emacs.

I like to use the M-SPC key in cc mode which removes all but one space.  In
windows this key combination ususally activates the system menu for the
program.  rxvt doesn't seem to have a problem with this where the cygwin
window does.

Thanks for pointing me in the right direction,
Mike

----- Original Message -----
From: "Eric Hanchrow" <[email-masked]>
To: "Mike Robertson" <[email-masked]>
Sent: Wednesday, February 12, 2003 7:36 PM
Subject: Re: Can't set mark in emacs

> >>>>> "Mike" == Mike Robertson <[email-masked]> writes:
>
>     Mike> Eric, I am running emacs from bash.  When you say "the Win32
>     Mike> console", do you mean the windows console that bash is
>     Mike> running in?
>
> Yes.  You can be sure it's a Win32 console if it has  a little Cygwin
> icon in the upper-left, and if you right-click that icon, you see the
> familiar Windows menu that says "Restore", "Move", "Size", "Minimize",
> etc.
>
>     Mike> I installed rxvt and skimmed the info for it.  I didn't see
>     Mike> any thing about running it in a non-X environment.
>
> The docs might not mention it, but trust me -- it works.  Try it.
>
>     Mike> Is there a command line switch for this, or do I need a
>     Mike> different package?
>
> Nope; just type `rxvt &' at your console.
>
>     Mike> I'll work on setting up X later tonight.
>
> Not sure you need to -- try rxvt first.
>
> --
> PGP Fingerprint: 3E7B A3F3 96CA 8958 ACC5  C8BD 6337 0041 C01C 5276

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/